Get Customer Group

Returns a Customer Group.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customer_group_idstringRequired

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.
namestringOptional
Name of the customer groups.
date_createddatetimeOptional

Filter items by date_created. date_created=2018-09-05T13:43:54

date_created:maxstringOptional

Filter items by maximum date_created. date_created:max=2018-09-10

date_created:mindatetimeOptional

Filter items by date_created. date_created:min=2018-09-05

date_modifieddatetimeOptional

Filter items by date_modified. date_modified=2018-09-05T13:45:03

date_modified:minstringOptional

Filter items by minimum date_modified. date_modified:min=2019-09-04T:00:00:00 or date_modified:min=2019-09-04

date_modified:maxdatetimeOptional

Filter items by maximum date_modified. date_modified:max=2018-09-05T13:45:03 or date_modified:max=2019-09-04

is_defaultbooleanOptional
Whether customers who sign up are added to this group by default.

Response

The request was successful.
idinteger
ID of the customer group.
namestring
Name of the group.
is_defaultboolean
Determines whether new customers are assigned to this group by default.
category_accessobject
discount_ruleslist of objects
date_createdstring
Date on which the customer group was created.
date_modifiedstring
Date on which the customer group was last modified.
is_group_for_guestsboolean
Describes whether the group is for guests. There can only be one customer group for guests at a time.

Errors

400
Bad Request Error